PSSetPageDevice (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.ps.extensions

## Class PSSetPageDevice

- java.lang.Object
- - org.apache.fop.render.ps.extensions.PSExtensionAttachment
  - - org.apache.fop.render.ps.extensions.PSSetPageDevice

- All Implemented Interfaces:
    ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

      public class PSSetPageDevice
      extends PSExtensionAttachment

  Element for postscript setpagedevice instruction This is a an extension which provides a pass-through value dictionary object for the postscript setpagedevice instruction.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ELEMENT` element name
    `protected java.lang.String` | `name` name attribute

    - ### Fields inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment

      `CATEGORY, content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSSetPageDevice()` constructor
    `PSSetPageDevice(java.lang.String content)` default constructor
    `PSSetPageDevice(java.lang.String name, java.lang.String content)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getElement()`
    `java.lang.String` | `getName()`
    `void` | `setName(java.lang.String name)` Sets the name of the setup code object.
    `void` | `toSAX(org.xml.sax.ContentHandler handler)` Generates SAX events representing the object's state.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment

      `getCategory, getContent, getType, setContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT

          protected static final java.lang.String ELEMENT

      element name
      See Also:
        Constant Field Values

    - #### name

          protected java.lang.String name

      name attribute

  - ### Constructor Detail

    - #### PSSetPageDevice

          public PSSetPageDevice(java.lang.String content)

      default constructor
      Parameters:
        `content` - set page device dictionary

    - #### PSSetPageDevice

          public PSSetPageDevice(java.lang.String name,
                                 java.lang.String content)

      constructor
      Parameters:
        `name` - name attribute of this setpagedevice content
        `content` - set page device dictionary

    - #### PSSetPageDevice

          public PSSetPageDevice()

      constructor

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the setup code object.
      Parameters:
        `name` - The name to set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PSExtensionAttachment`
      Returns:
        a string representation of this object
      See Also:
        `Object.toString()`

    - #### getElement

          protected java.lang.String getElement()

      Specified by:
        `getElement` in class `PSExtensionAttachment`
      Returns:
        a string representation of this object
      See Also:
        `PSExtensionAttachment.getElement()`

    - #### toSAX

          public void toSAX(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

      Generates SAX events representing the object's state.
      Specified by:
        `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
      Overrides:
        `toSAX` in class `PSExtensionAttachment`
      Parameters:
        `handler` - ContentHandler instance to send the SAX events to
      Throws:
        `org.xml.sax.SAXException` - if there's a problem generating the SAX events
      See Also:
        `XMLizable.toSAX(org.xml.sax.ContentHandler)`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.